/* Copyright 2009 DJ Delorie <dj@delorie.com> */
/* Distributed under the terms of the GNU GPL, version 3. */

#ifndef _ESC_P2_H_
#define _ESC_P2_H_

void escp2_set_output (const char *file_name);

/* inches */
void escp2_init (double page_width, double page_length, int draft_mode);

void escp2_done ();

void escp2_advance_row (int vrel);
void escp2_hpos (int habs);

/* Assuming 2880 dpi/ppi:
   Each band is up to 90 lines, 32 pixels apart.
   Horizontal dots are 4 pixels apart.

   Thus, we need 128 passes to "fill in" the whole thing.

   The printer will combine colors into a single pass if it can.
*/

void escp2_band (int color, int bits, int width, int lines);
void escp2_end_band ();

#define BLACK		0
#define MAGENTA		1
#define	CYAN		2
#define YELLOW		4
#define	LTMAGENTA	17
#define LTCYAN		18

void escp2_dot (int val);
void escp2_end_row ();

#endif
